Query Alert Groups
Example: POST /api/alerts/group/{groupingCondition}/query
The condition to be used for grouping
Adapter kind to be used for grouping alerts by SCOPE
Resource kind to be used for grouping alerts by SCOPE
Filter based on alert resource name (Used only in SCOPE flow)
Page number from which data needs to be displayed (0-based)
Expected number of entries per page
The alertQuery criteria
"{\n \"compositeOperator\" : \"AND\",\n \"alertId\" : [ ],\n \"resource-query\" : {\n \"name\" : [ \"Windows2017VM\", \"Windows2018VM\" ],\n \"regex\" : [ \"\\\\\\\\S+-BNA-\\\\\\\\S+\", null ],\n \"adapterKind\" : [ \"VMWARE\" ],\n \"resourceKind\" : [ \"HostSystem\" ],\n \"resourceId\" : [ \"0d0f5c56-d8ba-4029-a59e-7f03adb18055\" ],\n \"statKeyInclusive\" : true\n },\n \"activeOnly\" : true,\n \"alertTypeSubtype\" : [ ],\n \"alertCriticality\" : [ \"CRITICAL\", \"IMMEDIATE\", \"WARNING\", \"INFORMATION\" ],\n \"alertStatus\" : [ ],\n \"alertImpact\" : [ ],\n \"alertControlState\" : [ ],\n \"startTimeRange\" : {\n \"startTime\" : 1753368185,\n \"endTime\" : 1753378185\n },\n \"includeChildrenResources\" : true,\n \"extractOwnerName\" : false\n}"
Filter to return only Active alerts, if true, the query will exclude Suspended and Cancelled Alerts
Filter based on the Alert Control State
Filter based on Alert Criticality
Filter based on the Alert definition id
Filter based on Alert identifiers
Filter based on the Alert Impact
Filter based on Alert name using 'contains' logic
Filter based on the Alert Status. If looking for only active alerts combined
with other filter criteria then use the activeOnly property instead.
Filter based on Alert Type
Filter based on matching UTC cancel time
Operations for Composite Conditions
Indicates whether need to report alert owner's name in addition to owner's id
Filter based on alert group id
Indicates the alert grouping condition
True to include alerts generated by child resources
Object used to lookup resources with various filtering criteria
Filter based on resource kind using 'contains' logic
Filter based on matching UTC cancel time
Filter based on matching UTC cancel time
Filter based on user id
Filter based on user name using 'contains' logic
AlertGroups of alerts matching the specified Query Spec and grouped using specified grouping-condition(Collection can be empty)
"{\n \"alertGroups\" : [ {\n \"groupId\" : \"A-id\",\n \"groupName\" : \"A\",\n \"alertCount\" : 5,\n \"maxCriticalityLevel\" : 3\n }, {\n \"groupId\" : \"B-id\",\n \"groupName\" : \"B\",\n \"alertCount\" : 5,\n \"maxCriticalityLevel\" : 3\n } ]\n}"
List of alert groups
Collection of links
Represents page information for a paged result
Error occurred while retrieving the AlertGroups
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/suite-api/api/alerts/group/{groupingCondition}/query